Index: /trunk/src/org/expeditee/gui/FrameKeyboardActions.java
===================================================================
--- /trunk/src/org/expeditee/gui/FrameKeyboardActions.java	(revision 120)
+++ /trunk/src/org/expeditee/gui/FrameKeyboardActions.java	(revision 121)
@@ -82,6 +82,6 @@
 		// permission check
 		if (on != null && !on.hasPermission(Permission.full)) {
-			FrameGraphics
-					.DisplayMessage("Insufficient permission to edit this item");
+			MessageBay
+					.displayMessage("Insufficient permission to edit this item");
 			return;
 		}
@@ -577,5 +577,5 @@
 							&& clicked.getParent() != null
 							&& clicked.getParent().getNameItem() != clicked) {
-						FrameGraphics.DisplayMessage("Insufficient Permission");
+						MessageBay.displayMessage("Insufficient Permission");
 						return;
 					}
@@ -621,15 +621,15 @@
 			if (current instanceof Text) {
 				if (current != null && !current.hasPermission(Permission.copy)) {
-					FrameGraphics
-							.DisplayMessage("Insufficient permission to copy that item");
+					MessageBay
+							.displayMessage("Insufficient permission to copy that item");
 					return;
 				}
 				copyItemToClipboard(current);
-				// FrameGraphics.DisplayMessage("Item copied to clipboard");
+				// MessageBay.displayMessage("Item copied to clipboard");
 				return;
 			}
 			if (current != null && !current.hasPermission(Permission.full)) {
-				FrameGraphics
-						.DisplayMessage("Insufficient permission edit that item");
+				MessageBay
+						.displayMessage("Insufficient permission edit that item");
 				return;
 			}
@@ -656,6 +656,6 @@
 				return;
 			if (current != null && !current.hasPermission(Permission.full)) {
-				FrameGraphics
-						.DisplayMessage("Insufficient permission to cut that item");
+				MessageBay
+						.displayMessage("Insufficient permission to cut that item");
 				return;
 			}
@@ -667,6 +667,6 @@
 				return;
 			if (current != null && !current.hasPermission(Permission.full)) {
-				FrameGraphics
-						.DisplayMessage("Insufficient permission toggle the items mark");
+				MessageBay
+						.displayMessage("Insufficient permission toggle the items mark");
 				return;
 			}
@@ -742,6 +742,6 @@
 
 		if (item != null && !item.hasPermission(Permission.full)) {
-			FrameGraphics
-					.DisplayMessage("Insufficient permission to copy that item");
+			MessageBay
+					.displayMessage("Insufficient permission to copy that item");
 			return null;
 		}
@@ -840,5 +840,5 @@
 				break;
 			default:
-				FrameGraphics.DisplayMessageOnce(displayMessage);
+				MessageBay.displayMessageOnce(displayMessage);
 				return;
 			}
@@ -892,5 +892,5 @@
 		Collection<Item> enclosed = FrameUtils.getCurrentItems(on);
 		if (on == null && (enclosed == null || enclosed.size() == 0))
-			FrameGraphics.DisplayMessage(displayMessage);
+			MessageBay.displayMessage(displayMessage);
 	}
 
@@ -932,12 +932,11 @@
 			// if no item was found, return
 			if (toDropFrom == null) {
-				FrameGraphics
-						.ErrorMessage("No item could be found to drop from");
+				MessageBay.errorMessage("No item could be found to drop from");
 				return;
 			}
 
 			if (!(toDropFrom instanceof Text)) {
-				FrameGraphics
-						.DisplayMessage("Only text items can be dropped from");
+				MessageBay
+						.displayMessage("Only text items can be dropped from");
 				return;
 			}
@@ -948,5 +947,5 @@
 
 			if (column == null) {
-				FrameGraphics.ErrorMessage("No column found to align items to");
+				MessageBay.errorMessage("No column found to align items to");
 				return;
 			}
@@ -1025,6 +1024,6 @@
 								FrameMouseActions.getY());
 					} else {
-						FrameGraphics
-								.WarningMessage("Can not create items outside the frame area");
+						MessageBay
+								.warningMessage("Can not create items outside the frame area");
 						// ensures correct repainting when items don't move
 						DisplayIO.setCursorPosition(DisplayIO.getMouseX(),
@@ -1045,5 +1044,5 @@
 					int deltaY = firstItem.getY() - dummyItem.getY();
 
-					for (Item i : Frame.FreeItems) {
+					for (Item i : FreeItems.getInstance()) {
 						i.setPosition(i.getX() - deltaX, i.getY() - deltaY);
 					}
@@ -1057,5 +1056,5 @@
 			FrameGraphics.Repaint();
 		} catch (RuntimeException e) {
-			// FrameGraphics.ErrorMessage(e.getMessage());
+			// MessageBay.errorMessage(e.getMessage());
 			e.printStackTrace();
 		}
@@ -1237,19 +1236,19 @@
 		if (item == null) {
 			if (Frame.itemAttachedToCursor())
-				toSize.addAll(Frame.FreeItems);
+				toSize.addAll(FreeItems.getInstance());
 			else {
-				FrameGraphics
-						.DisplayMessage("There are no Items selected on the Frame or on the Cursor");
+				MessageBay
+						.displayMessage("There are no Items selected on the Frame or on the Cursor");
 				return;
 			}
 		} else {
 			if (item.isFrameName()) {
-				FrameGraphics.DisplayMessage("Can not resize the frame name");
+				MessageBay.displayMessage("Can not resize the frame name");
 				return;
 			}
 			// check permissions
 			if (!item.hasPermission(Permission.full)) {
-				FrameGraphics
-						.DisplayMessage("Insufficient permission to change the size of that item");
+				MessageBay
+						.displayMessage("Insufficient permission to change the size of that item");
 				return;
 			}
@@ -1362,5 +1361,5 @@
 
 		// if (color == null) {
-		// FrameGraphics.DisplayMessage("FillColor is now transparent");
+		// MessageBay.displayMessage("FillColor is now transparent");
 		// }
 
@@ -1385,5 +1384,5 @@
 		if (item == null) {
 			if (Frame.itemAttachedToCursor()) {
-				color = Frame.FreeItems.get(0).getColor();
+				color = FreeItems.getInstance().get(0).getColor();
 			} else {
 				return;
@@ -1394,6 +1393,6 @@
 			// check permissions
 			if (!item.hasPermission(Permission.full)) {
-				FrameGraphics
-						.DisplayMessage("Insufficient permission to the frame's background color");
+				MessageBay
+						.displayMessage("Insufficient permission to the frame's background color");
 				return;
 			}
@@ -1405,5 +1404,5 @@
 			// if (currentFrame.getBackgroundColor() == null)
 			// FrameGraphics
-			// .DisplayMessage("Background color is now transparent");
+			// .displayMessage("Background color is now transparent");
 			FrameGraphics.Repaint();
 			return;
@@ -1411,6 +1410,6 @@
 			// check permissions
 			if (!item.hasPermission(Permission.full)) {
-				FrameGraphics
-						.DisplayMessage("Insufficient permission to change that item's color");
+				MessageBay
+						.displayMessage("Insufficient permission to change that item's color");
 				return;
 			}
@@ -1439,10 +1438,10 @@
 		// if color is being set to default display a message to indicate that
 		// if (color == null) {
-		// FrameGraphics.DisplayMessage("Color is set to default");
+		// MessageBay.displayMessage("Color is set to default");
 		// }
 
 		if (setBackgroundColor) {
 			if (item == null && Frame.itemAttachedToCursor()) {
-				for (Item i : Frame.FreeItems)
+				for (Item i : FreeItems.getInstance())
 					i.setBackgroundColor(color);
 			} else {
@@ -1452,5 +1451,5 @@
 		} else {
 			if (item == null && Frame.itemAttachedToCursor()) {
-				for (Item i : Frame.FreeItems)
+				for (Item i : FreeItems.getInstance())
 					i.setColor(color);
 			} else {
@@ -1470,5 +1469,5 @@
 	private static void ToggleAnnotation(Item toToggle) {
 		if (toToggle == null) {
-			FrameGraphics.DisplayMessage("There is no Item selected to toggle");
+			MessageBay.displayMessage("There is no Item selected to toggle");
 			return;
 		}
@@ -1476,6 +1475,6 @@
 		// check permissions
 		if (!toToggle.hasPermission(Permission.full)) {
-			FrameGraphics
-					.DisplayMessage("Insufficient permission to toggle that item's annotation");
+			MessageBay
+					.displayMessage("Insufficient permission to toggle that item's annotation");
 			return;
 		}
@@ -1494,5 +1493,5 @@
 	private static void ToggleFontStyle(Item toToggle) {
 		if (toToggle == null) {
-			FrameGraphics.DisplayMessage("There is no Item selected to toggle");
+			MessageBay.displayMessage("There is no Item selected to toggle");
 			return;
 		}
@@ -1500,6 +1499,6 @@
 		// check permissions
 		if (!toToggle.hasPermission(Permission.full)) {
-			FrameGraphics
-					.DisplayMessage("Insufficient permission to toggle that item's annotation");
+			MessageBay
+					.displayMessage("Insufficient permission to toggle that item's annotation");
 			return;
 		}
@@ -1522,5 +1521,5 @@
 	private static void ToggleFontFamily(Item toToggle) {
 		if (toToggle == null) {
-			FrameGraphics.DisplayMessage("There is no Item selected to toggle");
+			MessageBay.displayMessage("There is no Item selected to toggle");
 			return;
 		}
@@ -1528,6 +1527,5 @@
 		// check permissions
 		if (!toToggle.hasPermission(Permission.full)) {
-			FrameGraphics
-					.DisplayMessage("Insufficient permission to toggle that item's annotation");
+			MessageBay.displayMessage("Insufficient permission to toggle that item's annotation");
 			return;
 		}
@@ -1565,6 +1563,6 @@
 				// permission check
 				if (!toAdd.hasPermission(Permission.full)) {
-					FrameGraphics
-							.DisplayMessage("Insufficicent permission to add the date to that item");
+					MessageBay
+							.displayMessage("Insufficicent permission to add the date to that item");
 					return;
 				}
@@ -1617,6 +1615,6 @@
 				FrameGraphics.Repaint();
 			} else {
-				FrameGraphics
-						.DisplayMessage("Only text items can have the date prepended to them");
+				MessageBay
+						.displayMessage("Only text items can have the date prepended to them");
 			}
 			// otherwise, create a new text item
@@ -1640,12 +1638,12 @@
 	private static void CreateFrameset(Item item) {
 		if (item == null) {
-			FrameGraphics
-					.DisplayMessage("There is no selected item to use for the frameset name");
+			MessageBay
+					.displayMessage("There is no selected item to use for the frameset name");
 			return;
 		}
 
 		if (!(item instanceof Text)) {
-			FrameGraphics
-					.DisplayMessage("Framesets can only be created from text items");
+			MessageBay
+					.displayMessage("Framesets can only be created from text items");
 			return;
 		}
@@ -1653,6 +1651,6 @@
 		// dont create frameset if the item is linked
 		if (item.getLink() != null) {
-			FrameGraphics
-					.DisplayMessage("A frameset can not be created from a linked item");
+			MessageBay
+					.displayMessage("A frameset can not be created from a linked item");
 			return;
 		}
@@ -1660,6 +1658,6 @@
 		// check permissions
 		if (!item.hasPermission(Permission.full)) {
-			FrameGraphics
-					.DisplayMessage("Insufficient permission to create a frameset from this item");
+			MessageBay
+					.displayMessage("Insufficient permission to create a frameset from this item");
 			return;
 		}
@@ -1678,5 +1676,5 @@
 			DisplayIO.setCursor(Item.DEFAULT_CURSOR);
 		} catch (Exception e) {
-			FrameGraphics.ErrorMessage(e.getMessage());
+			MessageBay.errorMessage(e.getMessage());
 		}
 	}
@@ -1695,4 +1693,5 @@
 					+ "1");
 			assert (profile != null);
+			FrameUtils.Parse(currentFrame);
 			FrameUtils.ParseProfile(profile);
 		} else {
